import os
import gtk
import psutil

from sqlkit.layout import Layout

wins = []
p = psutil.Process(os.getpid())
def mem():
    return " ".join("%.2f" % (x/1000000.0) for x in p.get_memory_info())

simple_menu = """
 { {B m=_File  m=Produzione m=Commesse }  {O tb=gtk-close   } }
 {  nome cognome
   indirizzo  -
   { l=address e=address }
   b=ancora b=chiudi b=kill}

"""



l = Layout(simple_menu, opts="Vs")
l.xml(filename='/tmp/l.glade')
l.tip('b=ancora', 'Questo deve essere un nome')


w = l.show()
l.tip('b=chiudi', 'Chiudi tutto')  
def di_ciao(*args):
    for i, val in enumerate(args):
        print i, val

def ancora(win):
    for i in range(1):
        lt = Layout(simple_menu, opts='Vs')
        wins.append(lt)
        lt.show()
    l.sb(mem())
    
def kill(win):
    for i in wins:
        i.widgets['Window'].destroy()
    del wins[:]
    
l.menu('m=_File',
    ('fine' , 'activate', gtk.main_quit),
    ('inizio' , 'activate', di_ciao, ),
    ('gtk-open' , 'activate', gtk.main_quit, )
    )   

#print l.elements.keys
l.connect(
    ('b=chiudi', 'clicked', gtk.main_quit),
    ('b=ancora', 'clicked', ancora,),
    ('b=kill', 'clicked', kill,),
    )


gtk.main()
